<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE ARG SYSTEM "argument.dtd">
<ARG>
  <SCHEMESET>
    <SCHEME>
      <NAME> Arguments for Obligation Claims: Sample to Population </NAME>
      <FORM>
        <PREMISE> N percent of x's must do A </PREMISE>
        <PREMISE> x is represntative of X's </PREMISE>
        <CONCLUSION> N percent of X's must do A </CONCLUSION>
      </FORM>
      <CQ> Is the sample too small? </CQ>
      <CQ> Is there systematic bias in the sample selection? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Obligation Claims: Population to Group/Individual </NAME>
      <FORM>
        <PREMISE> N percent of of X's observed must do (refrain from doing) A </PREMISE>
        <PREMISE> The members of of group X are typical of X's generally </PREMISE>
        <CONCLUSION> N percent of group x (things of kind X) must do (refrain from doing) A </CONCLUSION>
      </FORM>
      <CQ> Is the group X untypical in some relevant respect? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Obligation Claims: Parallel Case </NAME>
      <FORM>
        <PREMISE> Person x, must do (refrain from doing) A </PREMISE>
        <CONCLUSION> This other person (x2) must do (refrain from doing) A </CONCLUSION>
      </FORM>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Obligation Claims: Obligation Premiss </NAME>
      <FORM>
        <PREMISE> S must (must not) do A </PREMISE>
        <PREMISE> B is the only means to of fulfilling the obligation to do (refrain from doing) A</PREMISE>
        <CONCLUSION> S must (must not) do B </CONCLUSION>
      </FORM>
      <CQ> Are there other ways of fulfilling the obligation to do (refraing from doing) A? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Argument for Obligation Claims: Evaluative Premiss </NAME>
      <FORM>
        <PREMISE> x is a G(A). (G is an evaluative term such as "good") </PREMISE>
        <PREMISE> S must do whatever is in G(A). This is a cause-to-effect pattern, in the sense that the obligation to do A is "created" by P, when accepted</PREMISE>
        <CONCLUSION> S must (must not) do A </CONCLUSION>
      </FORM>
      <CQ> Is there a consideration that overrides doing A, such as "A is immoral", or "A is not in S's long-term interest? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Obligation Claims: Physical-World Premiss</NAME>
      <FORM>
        <PREMISE> P (any claim about brute facts or any institutional claim) </PREMISE>
        <PREMISE> The warrant backing is a function of the content of P </PREMISE>
        <CONCLUSION> S must (must not) A</CONCLUSION>
      </FORM>
      <CQ>Is there an excuse that relieves S of the obligation, or is there a justification in the form of a morally more important duty?</CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Obligation Claims: Mental-World Premiss Version 1 </NAME>
      <FORM>
        <PREMISE> S is M (S has the mental state M) </PREMISE>
        <PREMISE> Mental attributes can create duties. Here there is a cause-to-effect pattern; the truth of the premiss gives rise to the obligation </PREMISE>
        <CONCLUSION> S must (must not) do A </CONCLUSION>
      </FORM>
      <CQ> Is there an excusing condition, or a justification, for not fulfilling the duty? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Obligation Claims: Mental-World Premiss Version 2</NAME>
      <FORM>
        <PREMISE> S is M </PREMISE>
        <PREMISE> One person's mental attribute can create a duty for another to act in a way appropriate to the presence of the attribute </PREMISE>
        <CONCLUSION> P must (must not) do A </CONCLUSION>
      </FORM>
      <CQ> Is P unaware, through no fault of P, that S is M? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Obligation Claims: Regulative Rule </NAME>
      <FORM>
        <PREMISE> A is prohibited (obligatory) </PREMISE>
        <PREMISE> One must not (must) do what is prohibited (obligatory) </PREMISE>
        <CONCLUSION> S must not (must) do A </CONCLUSION>
      </FORM>
      <CQ> Has S an adequate excuse, or an overriding duty? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Superegoratory Claims: Superegoratory Premiss</NAME>
      <FORM>
        <PREMISE> S ought to do A </PREMISE>
        <PREMISE> Doing B is, for most people, an effective means of doing A </PREMISE>
        <CONCLUSION> S ought to do B </CONCLUSION>
      </FORM>
      <CQ> Is doing B really a means of bringing about A that S can employ? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Superegoratory Claims: Evaluative Premisses</NAME>
      <FORM>
        <PREMISE> x is a G(X) </PREMISE>
        <PREMISE> Doing A is in the interests of X's that are G </PREMISE>
        <CONCLUSION> S ought to do A </CONCLUSION>
      </FORM>
      <CQ> Is S in a position to do A? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Superegoratory Claims: Physical-World Premisses </NAME>
      <FORM>
        <PREMISE> S is F </PREMISE>
        <PREMISE> A person with S's characteristic F ought to do A </PREMISE>
        <CONCLUSION> S ought to do A </CONCLUSION>
      </FORM>
      <CQ> Is it the case that doing A will/might require too great sacrifice by S? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Superegoratory Claims: Mental-World Premisses </NAME>
      <FORM>
        <PREMISE> S is M </PREMISE>
        <PREMISE> P's doing A is in S's interest </PREMISE>
        <CONCLUSION> P ought to do A </CONCLUSION>
      </FORM>
      <CQ> Is doing A appropriate for P? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Prudential Claims: Prudential Premisses </NAME>
      <FORM>
        <PREMISE> S ought (ought not) to do A </PREMISE>
        <PREMISE> B is an effective way of bringing about A </PREMISE>
        <CONCLUSION> S ought (ought not) to do B </CONCLUSION>
      </FORM>
      <CQ> Is B an appropriate way for S to bring about A? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Prudential Claims: Obligation Premisses </NAME>
      <FORM>
        <PREMISE> S must (must not) do A </PREMISE>
        <PREMISE> Doing (not doing) B will help make it possible for S to meet the obligation to do (not to do) A </PREMISE>
        <CONCLUSION> s ought (ought not) to do B </CONCLUSION>
      </FORM>
      <CQ> Is doing (not doing) B an appropriate course of action for S in meeting the obligation? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Prudential Claims: Supererogatory Premisses </NAME>
      <FORM>
        <PREMISE> S ought to do A </PREMISE>
        <PREMISE> Doing B is a way of bringing about A </PREMISE>
        <CONCLUSION> S ought (ought not) to do B </CONCLUSION>
      </FORM>
      <CQ> Is B appropriate for S? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Prudential Claims: Evaluative Premisses</NAME>
      <FORM>
        <PREMISE> x is a G(X)</PREMISE>
        <PREMISE> It is in a person's interest to choose things that are rated "G" </PREMISE>
        <CONCLUSION> S ought (ought not) to do A </CONCLUSION>
      </FORM>
      <CQ> Is there a better X to be had under the same conditions? </CQ>
      <CQ> Is x an appropriate choice for S? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Prudential Claims: Physical-World Premisses</NAME>
      <FORM>
        <PREMISE> X is F</PREMISE>
        <CONCLUSION> S ought (ought not) to do A </CONCLUSION>
      </FORM>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Prudential Claims: Mental-World Premisses </NAME>
      <FORM>
        <PREMISE> S is M </PREMISE>
        <PREMISE> Doing (not doing) A is a desirable response to S </PREMISE>
        <CONCLUSION> P ought (ought not) to do A </CONCLUSION>
      </FORM>
      <CQ> Is A appropriate given P's situation or characteristics? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Prudential Claims: Mental-World Premisses (End-Means) </NAME>
      <FORM>
        <PREMISE> S wants E </PREMISE>
        <PREMISE> A is the most effective means to achieve E </PREMISE>
        <CONCLUSION> S ought (ought not) to do A </CONCLUSION>
      </FORM>
      <CQ> Is A a means available to S? </CQ>
      <CQ> Does doing A conflict with the pursuit of other interests of S? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Prudential Claims: Constitutive-Rule Premisses </NAME>
      <FORM>
        <PREMISE> D counts as W </PREMISE>
        <PREMISE> It is in one's interest to use the term "W" when referring to things/attributes that are D </PREMISE>
        <CONCLUSION> S ought (ought not) to do A </CONCLUSION>
      </FORM>
      <CQ> Does S wish to create a special impression in speaking to another? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Prudential Claims: Regulative-Rule Premisses </NAME>
      <FORM>
        <PREMISE> A is obligatory (prohibited) </PREMISE>
        <PREMISE> It is in one's interest to comply with the rules </PREMISE>
        <CONCLUSION> S ought (ought not) to do A </CONCLUSION>
      </FORM>
      <CQ> Does the rule apply to S, or are there special circumstances? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Evaluative Claims. Conclusions involving Grading: Sample to Population </NAME>
      <FORM>
        <PREMISE> N percent of x's are G (X) </PREMISE>
        <CONCLUSION> N percent of X's are G </CONCLUSION>
      </FORM>
      <CQ> Is there a  systematic bias in sample selection? </CQ>
      <CQ> Is the sample representative? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Evaluative Claims. Conclusions involving Grading: Population to Group/Individual</NAME>
      <FORM>
        <PREMISE> N percent of observed X's are G(X) </PREMISE>
        <PREMISE> x's are normal/typical X's </PREMISE>
        <CONCLUSION> N percent of x's are G(X) </CONCLUSION>
      </FORM>
      <CQ> Are x's unusual in some relevant respect? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Evaluative Claims. Conclusions involving Grading: Parallel Case </NAME>
      <FORM>
        <PREMISE> x1 is a G(X) </PREMISE>
        <PREMISE> x1 and x2 are alike in all relevant respects </PREMISE>
        <CONCLUSION> x2 is a G(X) </CONCLUSION>
      </FORM>
      <CQ> Is x2 different in some crucial respect? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Evaluative Claims. Conclusions involving Grading: Evaluative Premiss </NAME>
      <FORM>
        <PREMISE> x is a G1(X) </PREMISE>
        <PREMISE> A G1(X) is generally a G2(Y)  </PREMISE>
        <CONCLUSION> x is a G2(Y) </CONCLUSION>
      </FORM>
      <CQ> Is there anything unusual about x as an X? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Evaluative Claims. Conclusions involving Ranking: Sample to Population </NAME>
      <FORM>
        <PREMISE> x is a G1(X) </PREMISE>
        <PREMISE> A G1(X) is generally a G2(Y)  </PREMISE>
        <CONCLUSION> x is a G2(Y) </CONCLUSION>
      </FORM>
      <CQ> Is there anything unusual about x as an X? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Evaluative Claims. Conclusions involving Ranking: Population to Group/Individual </NAME>
      <FORM>
        <PREMISE> Observed X1's are C(X) than observed X0's </PREMISE>
        <PREMISE> xi is similar to observed X1's in relevant respects, and x0 is similar to observed X0's in relevant respects </PREMISE>
        <CONCLUSION> x1 is a C(X) than x0 </CONCLUSION>
      </FORM>
      <CQ> Does x1 differ from observed X1's in a crucial respect or does x2 differ from observed X2's in a crucial respect or both? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Evaluative Claims. Conclusions involving Ranking: Parallel Case </NAME>
      <FORM>
        <PREMISE> x1 is a C(X) than x0 </PREMISE>
        <PREMISE> x2 is like x1 in relevant respects </PREMISE>
        <CONCLUSION> x1 is a C(X) than x0 </CONCLUSION>
      </FORM>
      <CQ> Does x2 differ from x1 in a crucial respect? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Evaluative Claims. Conclusions involving Ranking: Comparative Premiss </NAME>
      <FORM>
        <PREMISE> x1 is a C1(X) than x2; x1 is a C2(X2) than x2; etc. </PREMISE>
        <CONCLUSION> x1 is a C(X) than x2 </CONCLUSION>
      </FORM>
      <CQ> Is x1 inferior to x2 in some crucial respect? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Evaluative Claims. Conclusions involving Grading: Physical-World Premiss </NAME>
      <FORM>
        <PREMISE> x has good-making attributes g1, g2 ... gn of things of kind X ("Good-making" implies that a thing is a good one of its kind if it has enough such characteristics.)</PREMISE>
        <PREMISE> Things with g1, g2, ... gn qualify as G(X) </PREMISE>
        <CONCLUSION> x is a G(X) </CONCLUSION>
      </FORM>
      <CQ> Has x deficiencies b1, b2, etc.? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Evaluative Claims. Conclusions involving Grading: Mental-World Premiss </NAME>
      <FORM>
        <PREMISE> S has valuable attributes g1, g2, ... gn of things of kind X. </PREMISE>
        <PREMISE> Persons with g1, g2, ...gn qualify as G(X) </PREMISE>
        <CONCLUSION> S is a G(X) </CONCLUSION>
      </FORM>
      <CQ> Has x deficiencies b1, b2, etc.?  </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Evaluative Claims. Conclusions involving Grading: Constitutive-Rule Premiss </NAME>
      <FORM>
        <PREMISE> D counts as W </PREMISE>
        <PREMISE> Whatever is a W is a G(X) </PREMISE>
        <CONCLUSION> D's are G(X) </CONCLUSION>
      </FORM>
      <CQ> Is this W, G(X)? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Evaluative Claims. Conclusions involving Grading: Regulative-Rule Premiss </NAME>
      <FORM>
        <PREMISE> A is obligatory (prohibited) </PREMISE>
        <PREMISE> Whatever is obligatory (prohibited) is G(X) </PREMISE>
        <CONCLUSION> A is G(X) </CONCLUSION>
      </FORM>
      <CQ> Is A a special case? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Evaluative Claims. Conclusions involving Ranking: Physical-World Premiss </NAME>
      <FORM>
        <PREMISE> Among X's, x ranks mth in good-marking attribute g1, nth in attribute g2...</PREMISE>
        <CONCLUSION> x is an R(X) </CONCLUSION>
      </FORM>
      <CQ> Does x lack an attribute necessary to qualify for the ranking? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Evaluative Claims. Conclusions involving Ranking: Mental-World Premiss </NAME>
      <FORM>
        <PREMISE> Among X's, x ranks mth in valuable attribute g1, nth in attribute g2...</PREMISE>
        <CONCLUSION> x is an R(X) </CONCLUSION>
      </FORM>
      <CQ> Has a ranking necessary to qualify for the ranking not been mentioned in the premiss? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Evaluative Claims. Conclusions involving Comparisons: Physical-World Premiss </NAME>
      <FORM>
        <PREMISE> Set of observations of respects in which x1 is superior to x2, but these are not grading judgments </PREMISE>
        <CONCLUSION> x1 is a C(X) than x2 </CONCLUSION>
      </FORM>
      <CQ> Is there an unmentioned respect in which x1 must be superior to x2 to merit the rating in C? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Evaluative Claims. Conclusions involving Comparisons: Mental-World Premiss </NAME>
      <FORM>
        <PREMISE> Set of mental attributes in which it is claimed that x1 is superior to x2 </PREMISE>
        <CONCLUSION> x1 is a R(X) than x2 </CONCLUSION>
      </FORM>
      <CQ> Is there an unmentioned respect in which x1 must be superior to x2 to merit the rating in C? </CQ>
    </SCHEME>

    <SCHEME>
      <NAME> Arguments for Physical-World Claims: Sample-to-Population Premiss </NAME>
      <FORM>
        <PREMISE> N percent of x's are F </PREMISE>
        <PREMISE> x is representative of X's </PREMISE>
        <CONCLUSION> N percent of X's are F </CONCLUSION>
      </FORM>
      <CQ> Is there a systematic sample-selection bias? </CQ>
      <CQ> Is the sample unrepresentative because it is small? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Physical-World Claims: Population to Group/Individual </NAME>
      <FORM>
        <PREMISE> N percent of observed X's are F </PREMISE>
        <PREMISE> x's are like the observed X's in other relevant respects </PREMISE>
        <CONCLUSION> N percent of x's are F </CONCLUSION>
      </FORM>
      <CQ> Is x in some relevant way not representative of X's? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Physical-World Claims: Parallel Case </NAME>
      <FORM>
        <PREMISE> x1 (an X) is F </PREMISE>
        <PREMISE> x1 and x2 are similar in other relevant respects </PREMISE>
        <CONCLUSION> x2 (also an X) is F </CONCLUSION>
      </FORM>
      <CQ> Is there a crucial difference between x1 and x2? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Physical-World Claims. Physical-World Premiss: Cause to Effect </NAME>
      <FORM>
        <PREMISE> P </PREMISE>
        <PREMISE> Generally, events/states like P cause events/states like C </PREMISE>
        <CONCLUSION> C </CONCLUSION>
      </FORM>
      <CQ> Does anything intervene to prevent C when P occurs? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Physical-World Claims. Physical-World Premiss: Argument from Sign </NAME>
      <FORM>
        <PREMISE> P </PREMISE>
        <PREMISE> P is generally a sign or symptom of C </PREMISE>
        <CONCLUSION> C </CONCLUSION>
      </FORM>
      <CQ> Does an intervening factor prevent C from occurring? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Physical-World Claims. Physical-World Premiss: Effect to Cause </NAME>
      <FORM>
        <PREMISE> P </PREMISE>
        <PREMISE> The event/state reported by C is the best explanation for the event/state reported by P </PREMISE>
        <CONCLUSION> C </CONCLUSION>
      </FORM>
      <CQ> Is any other event/state reported by C the best explanation of P? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Physical-World Claims. Mental-World Premiss: Causal </NAME>
      <FORM>
        <PREMISE> S is M </PREMISE>
        <PREMISE> Generally, this mental state/event results in behavioural event/state F </PREMISE>
        <CONCLUSION> S is F </CONCLUSION>
      </FORM>
      <CQ> Does anything intervenes to prevent the result that S is F? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Physical-World Claims. Mental-World Premiss: Effect </NAME>
      <FORM>
        <PREMISE> S is M </PREMISE>
        <PREMISE> The conclusion is generally the best explanation for the premiss </PREMISE>
        <CONCLUSION> S is F </CONCLUSION>
      </FORM>
      <CQ> Are any other physical-world facts the correct explanation of the premiss? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Physical-World Claims. Mental-World Premiss: Sign </NAME>
      <FORM>
        <PREMISE> S is M </PREMISE>
        <PREMISE> Events/states of the kind mentioned in the premiss are signs or symptoms of ones in the conclusion </PREMISE>
        <CONCLUSION> X is F </CONCLUSION>
      </FORM>
      <CQ> Does any factor intervene to prevent the occurrence of C? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Mental-World Claims. Mental-World Premiss: Sample to Population </NAME>
      <FORM>
        <PREMISE> N percent of x's are M </PREMISE>
        <PREMISE> x's are a representative sample of X  </PREMISE>
        <CONCLUSION> N percent of X's are M </CONCLUSION>
      </FORM>
      <CQ> Is there a systematic bias in the sample selection? </CQ>
      <CQ> Is the sample too small to be representative? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Mental-World Claims. Mental-World Premiss: Population to Group/ Individual </NAME>
      <FORM>
        <PREMISE> N percent of observed X's are M </PREMISE>
        <PREMISE> These X's are, in relevant respects, similar to the previously observed X's  </PREMISE>
        <CONCLUSION> N percent of these X's are M </CONCLUSION>
      </FORM>
      <CQ> Do these X's differ from the previously observed ones in some crucially relevant respect? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Mental-World Claims. Mental-World Premiss: Parallel Case </NAME>
      <FORM>
        <PREMISE> P1 is M </PREMISE>
        <PREMISE> The class is relatively homogeneous </PREMISE>
        <CONCLUSION> P2 (in the same designated class) is M </CONCLUSION>
      </FORM>
      <CQ> Does P2 differ in some crucially relevant respect, other than in being M? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Mental-World Claims. Obligation Premiss </NAME>
      <FORM>
        <PREMISE> S must (must not) do A </PREMISE>
        <PREMISE> People who must (must not) do A are M </PREMISE>
        <CONCLUSION> S is M </CONCLUSION>
      </FORM>
      <CQ> Does S recognize the duty to do (refrain from doing) A? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Mental-World Claims. Evaluative Premiss: Cause  </NAME>
      <FORM>
        <PREMISE> A grading, ranking, or comparison claim about S </PREMISE>
        <PREMISE> Evaluative judgments of this kind produce mental phenomenon M </PREMISE>
        <CONCLUSION> S is M </CONCLUSION>
      </FORM>
      <CQ> Is S unaware of, or does he disagree with, the evaluation? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Mental-World Claims. Evaluative Premiss: Effect </NAME>
      <FORM>
        <PREMISE> An evaluative claim </PREMISE>
        <PREMISE> S's being M is the best explanation of P  </PREMISE>
        <CONCLUSION> S is M </CONCLUSION>
      </FORM>
      <CQ> Is P explained by another mental attribute of S? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Mental-World Claims. Physical-world Premiss: Cause </NAME>
      <FORM>
        <PREMISE> P (some event or state in the physical world that might be expected to have a mental impact on S. That is, P is a cause of C.</PREMISE>
        <PREMISE> Events/ states of the kind reported in P generally produce mental events/ states of the kind reported in C  </PREMISE>
        <CONCLUSION> S is M </CONCLUSION>
      </FORM>
      <CQ> Does anyhting block the occurrence of the event/ state C? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Mental-World Claims. Physical-World Premiss: Sign </NAME>
      <FORM>
        <PREMISE> S is F </PREMISE>
        <PREMISE> The occurrence of the sign/ symptom reported in P is generally correlated with the mental event/state M  </PREMISE>
        <CONCLUSION> S is M </CONCLUSION>
      </FORM>
      <CQ> Is S trying to mislead others about her/ his mental state? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Mental-World Claims. Physical-World Premiss: Effect </NAME>
      <FORM>
        <PREMISE> P </PREMISE>
        <PREMISE> C is the best explanation for P  </PREMISE>
        <CONCLUSION> S is M (the mental state/ event M is conceived as producing the event/ state P. </CONCLUSION>
      </FORM>
      <CQ> Is anything else a good explanation of P? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Mental-World Claims. Regulative-Rule Premiss 1 </NAME>
      <FORM>
        <PREMISE> A is obligatory (prohibited) </PREMISE>
        <PREMISE> People generally accept the rules of the community </PREMISE>
        <CONCLUSION> S believes that s/he must d (refrain from doing) A. </CONCLUSION>
      </FORM>
      <CQ> Does S regard the rule as legitimate? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Mental-World Claims. Regulative-Rule Premiss 2 </NAME>
      <FORM>
        <PREMISE> A is obligatory (prohibited)in society S </PREMISE>
        <PREMISE> C is the best explanation of P </PREMISE>
        <CONCLUSION> Memebrs of S believe that A is desiderable (undesiderable) conduct </CONCLUSION>
      </FORM>
      <CQ> Does the majority really think that A is desiderable (undesiderable) conduct? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Constitutive-Rule claims: Physical-World Premiss 1 </NAME>
      <FORM>
        <PREMISE> A W is a D </PREMISE>
        <PREMISE> Whenever expressions are referentially coextensive, they are synonymous. </PREMISE>
        <CONCLUSION> "W" means the same as "D" </CONCLUSION>
      </FORM>
      <CQ> Is the premiss a necessary truth? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Constitutive-Rule claims: Physical-World Premiss 2 </NAME>
      <FORM>
        <PREMISE> In the official rulebook of I (a rule-governed institution such a game, or a club, or a legal system), it is stated that D counts as W  </PREMISE>
        <PREMISE> Official rulebooks correctly report the rules in force  </PREMISE>
        <CONCLUSION> D counts as W </CONCLUSION>
      </FORM>
      <CQ> Has the rule changed since the publication of the rulebook? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Constitutive-Rule claims: Mental-World Premiss </NAME>
      <FORM>
        <PREMISE> Speakers of L believe that "W" means the same as "D" </PREMISE>
        <PREMISE> Speakers of a language are generally correct about word definitions in that language  </PREMISE>
        <CONCLUSION> "W" means the same as "D" </CONCLUSION>
      </FORM>
      <CQ> Are the speakers correct about the nature of the referent or property of the word "W"? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Regulative-Rule claims: Parallel Case </NAME>
      <FORM>
        <PREMISE> A1 is obligatory (prohibited) </PREMISE>
        <PREMISE> Acts A1 and A2 (acts of ostensibly the same kind) are similar in other relevant respects </PREMISE>
        <CONCLUSION> A2 is obligatory (prohibited) </CONCLUSION>
      </FORM>
      <CQ> Does A2 differ from A1 in any crucial respect? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Regulative-Rule claims: Obligation </NAME>
      <FORM>
        <PREMISE> As one who is an X, S must (must not) do A </PREMISE>
        <PREMISE> Whatever X's must (must not) do is obligatory (prohibited). </PREMISE>
        <CONCLUSION> A is obligatory for (prohibited to) X's </CONCLUSION>
      </FORM>
      <CQ> Is S a special case of X's? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Regulative-Rule claims: Physical-World Premiss and Enacted-Rule Conclusion 1 </NAME>
      <FORM>
        <PREMISE> There is statute/enactment declaring that doing (failing to do) A is an offence punishable by... </PREMISE>
        <PREMISE> Those who produced the enactment are officially empowered to create such rules </PREMISE>
        <CONCLUSION> A is prohibited (obligatory) for those within the jurisdiction of the enactment </CONCLUSION>
      </FORM>
      <CQ> Are there procedural deficiencies? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Regulative-Rule claims: Physical-World Premiss and Enacted-Rule Conclusion 2 </NAME>
      <FORM>
        <PREMISE> Being declared guilty of doing (failing to do) A in jurisdiction J results in censure /sanctions </PREMISE>
        <PREMISE> Generally, official censure /sanctions arise from rule violations  </PREMISE>
        <CONCLUSION> Doing (refraining from doing) A in jurisdiction J is prohibited </CONCLUSION>
      </FORM>
      <CQ> Does the body/ group inflicting censure/ sanctions lack official standing? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Regulative-Rule claims: Physical-World Premiss and Unenacted-Rule Conclusion 1 </NAME>
      <FORM>
        <PREMISE> In society S people in situation C do (avoid) A </PREMISE>
        <PREMISE> People generally conform to the rules in their society </PREMISE>
        <CONCLUSION> In society S, doing A is obligatory (prohibited) in situation C </CONCLUSION>
      </FORM>
      <CQ> Is doing (avoiding doing) A merely habitual? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Regulative-Rule claims: Physical-World Premiss and Unenacted-Rule Conclusion 2 </NAME>
      <FORM>
        <PREMISE> Members of S commonly censure/ apply sanctions to follow members when the latter do (fail to do) A </PREMISE>
        <PREMISE> Unenacted rules are generally enforced by the community  </PREMISE>
        <CONCLUSION> A is prohibited (obligatory) in S </CONCLUSION>
      </FORM>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments for Regulative-Rule claims: Mental-World Premiss and Unenacted-Rule Conclusion </NAME>
      <FORM>
        <PREMISE> Members of society/ group S believe that A is obligatory (prohibited) in situation C </PREMISE>
        <PREMISE> People are generally aware of the rules in their society/ group </PREMISE>
        <CONCLUSION> A is obligatory (prohibited) in situation C in society /group S </CONCLUSION>
      </FORM>
      <CQ> Are those who believe that A is obligatory (prohibited) typical of the membership of S? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Argument from Authority </NAME>
      <FORM>
        <PREMISE> S affirms that C </PREMISE>
        <PREMISE> S is a reliable source of information on the topic to which C belongs. </PREMISE>
        <CONCLUSION> C </CONCLUSION>
      </FORM>
    </SCHEME>
    <SCHEME>
      <NAME> Argument from Authority: Observer testimony </NAME>
      <FORM>
        <PREMISE> S affirms that C </PREMISE>
        <PREMISE> S is a reliable source of information on the topic to which C belongs. </PREMISE>
        <CONCLUSION> C </CONCLUSION>
      </FORM>
      <CQ> Was the observer in the appropriate place at the appropriate time? </CQ>
      <CQ> At the time, had the observer defective sensory modalities of the kind needed to observe the event/state? </CQ>
      <CQ> Has the observer attended to the event? </CQ>
      <CQ> When has been the testimony made? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Argument from Authority: Expert testimony </NAME>
      <FORM>
        <PREMISE> S affirms that C </PREMISE>
        <PREMISE> S is a reliable source of information on the topic to which C belongs. </PREMISE>
        <CONCLUSION> C </CONCLUSION>
      </FORM>
      <CQ> Has the person the appropriate epistemic credentials relative to the claim? </CQ>
      <CQ> Is the expert trustworthy? </CQ>
      <CQ> Is the expert bias? </CQ>
      <CQ> Is the expert's general state of knowledge recognized? </CQ>
      <CQ> Do other authorities assign a different value to p(C)? </CQ>
    </SCHEME>
    <SCHEME>
      <NAME> Arguments relying on Predictive Analogies </NAME>
      <FORM>
        <PREMISE> x1, x2, x3 ... xn-1 and xn each have properties F1, F2, F3 ... Fn-1 </PREMISE>
        <PREMISE> x1, x2, x3 ... xn-1 also have property Fn </PREMISE>
        <CONCLUSION> So xn will be found to have property Fn </CONCLUSION>
      </FORM>
    </SCHEME>
    <SCHEME>
      <NAME> Proportional-Analogy Arguments </NAME>
      <FORM>
        <PREMISE> xRX (x is related to X in respects R1, R2 ... Rn) </PREMISE>
        <PREMISE> If xRX then Fx </PREMISE>
        <PREMISE> yRY = xRX (y is related to Y in the same way that x is related to X) </PREMISE>
        <CONCLUSION> Fy </CONCLUSION>
      </FORM>
    </SCHEME>
  </SCHEMESET>
</ARG>


